import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IGetRecoveryDataResult } from '../types.js';
export declare class RecoveryProvider {
    private db;
    constructor(db: TenantAwareDBClient);
    private recoveryDataCache;
    getRecoveryData(): Promise<IGetRecoveryDataResult[]>;
    clearCache(): void;
}
